| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
Error.h File Reference

Error handling related functions, mainly used to obtain error messages. More...

`#include "ObTypes.h"`

Go to the source code of this file.

## Functions
ob_status | ob_error_status (ob_error *error)
| Get error status. More...
const char * | ob_error_message (ob_error *error)
| Get error information. More...
const char * | ob_error_function (ob_error *error)
| Get error API function name. More...
const char * | ob_error_args (ob_error *error)
| Get error parameters. More...
ob_exception_type | ob_error_exception_type (ob_error *error)
| Get error exception type. More...
void | ob_delete_error (ob_error *error)
| Delete the error object. More...

## Detailed Description

Error handling related functions, mainly used to obtain error messages.

Definition in file Error.h.

## Function Documentation

ob_status ob_error_status | ( | ob_error * | error | ) |

Get error status.

Parameters

  [in] | error | Error object

Returns
  ob_status returns error status

const char* ob_error_message | ( | ob_error * | error | ) |

Get error information.

Parameters

  [in] | error | Error object

Returns
  const char* returns an error message

const char* ob_error_function | ( | ob_error * | error | ) |

Get error API function name.

Parameters

  [in] | error | Error object

Returns
  const char* returns error function

const char* ob_error_args | ( | ob_error * | error | ) |

Get error parameters.

Parameters

  [in] | error | Error object

Returns
  const char* returns the error parameter

ob_exception_type ob_error_exception_type | ( | ob_error * | error | ) |

Get error exception type.

Parameters

  [in] | error | Error object

Returns
  ob_exception_type returns the error exception type

void ob_delete_error | ( | ob_error * | error | ) |

Delete the error object.

Parameters

  [in] | error | The error object to delete